#!/bin/sh

TEMPDIR=`mktemp -d`
echo TEMPDIR $TEMPDIR

#WARFILE=wagby.war
if [ "${RDS_HOSTNAME}" != "" ]; then
if [ -e "${WARFILE}" ]; then
mkdir $TEMPDIR/META-INF
unzip -p ${WARFILE} META-INF/context.xml > $TEMPDIR/META-INF/context.xml.old
if fgrep -qv jdbc:hsqldb: $TEMPDIR/META-INF/context.xml.old; then
# not HSQLDB
# absolute path for WARFILE
ABS_WARFILE=$(cd $(dirname "${WARFILE}") && pwd)/$(basename "${WARFILE}")
pushd $TEMPDIR
sed "s/jdbc:\([^:]*\):\/\/[^\/]*\/[^\?\"]*/jdbc:\1:\/\/${RDS_HOSTNAME}\/${RDS_DB_NAME}/;s/username=\"[^\"]*\"/username=\"${RDS_USERNAME}\"/;s/password=\"[^\"]*\"/password=\"${RDS_PASSWORD}\"/" META-INF/context.xml.old > META-INF/context.xml
zip ${ABS_WARFILE} META-INF/context.xml
popd
fi

elif fgrep -qv jdbc:hsqldb: META-INF/context.xml; then
# not WARFILE and not HSQLDB
cp META-INF/context.xml META-INF/context.xml.old
sed "s/jdbc:\([^:]*\):\/\/[^\/]*\/[^\?\"]*/jdbc:\1:\/\/${RDS_HOSTNAME}\/${RDS_DB_NAME}/;s/username=\"[^\"]*\"/username=\"${RDS_USERNAME}\"/;s/password=\"[^\"]*\"/password=\"${RDS_PASSWORD}\"/" META-INF/context.xml.old > META-INF/context.xml
fi
fi

if [ -e "${WARFILE}" ]; then
mkdir -p $TEMPDIR/WEB-INF/classes
unzip -p ${WARFILE} WEB-INF/classes/application.properties > $TEMPDIR/WEB-INF/classes/application.properties.old
if grep -qv "^spring.\(redis\|rabbitmq\).host=" $TEMPDIR/WEB-INF/classes/application.properties.old; then
# absolute path for WARFILE
ABS_WARFILE=$(cd $(dirname "${WARFILE}") && pwd)/$(basename "${WARFILE}")
pushd $TEMPDIR
sed "s/^\(spring.redis.host\)=.*$/\1=localhost/;s/^\(spring.rabbitmq.host\)=.*$/\1=localhost/" WEB-INF/classes/application.properties.old > WEB-INF/classes/application.properties
zip ${ABS_WARFILE} WEB-INF/classes/application.properties 
popd
fi

elif grep -qv "^spring.\(redis\|rabbitmq\).host=" WEB-INF/classes/application.properties; then
cp WEB-INF/classes/application.properties WEB-INF/classes/application.properties.old
sed "s/^\(spring.redis.host\)=.*$/\1=localhost/;s/^\(spring.rabbitmq.host)=.*$/\1=localhost/" WEB-INF/classes/application.properties.old > WEB-INF/classes/application.properties
fi

rm -rf $TEMPDIR

