#!/bin/sh

if [ "$CATALINA_HOME" = "" ]; then
CATALINA_HOME=/usr/share/tomcat8
echo CATALINA_HOME env is nothing. use default value ${CATALINA_HOME}
fi

if [ -e .ebextensions/tomcat/conf ]; then
install -m 644 .ebextensions/tomcat/conf/* ${CATALINA_HOME}/conf
fi
if [ -e ${CATALINA_HOME}/conf/app_jaas.config.txt ]; then
mv ${CATALINA_HOME}/conf/app_jaas.config.txt ${CATALINA_HOME}/conf/app_jaas.config
fi

if [ -e .ebextensions/tomcat/lib ]; then
install -m 644 .ebextensions/tomcat/lib/* ${CATALINA_HOME}/lib
fi

if [ -e .ebextensions/tomcat/bin ]; then
install -m 644 .ebextensions/tomcat/bin/* ${CATALINA_HOME}/bin
fi

if [ ! -e /efs/upload_dir ]; then
install -o tomcat -g tomcat -m 755 -d /efs/upload_dir
fi
if [ ! -e /usr/share/upload_dir ]; then
ln -s /efs/upload_dir /usr/share
fi
if [ ! -e /efs/export ]; then
install -o tomcat -g tomcat -m 755 -d /efs/export
fi
if [ ! -e /usr/share/export ]; then
ln -s /efs/export /usr/share
fi

# output Workflow definitions xml file for InitLoader import
if [ ! -e /var/lib/customize ]; then
install -o tomcat -g tomcat -m 755 -d /var/lib/customize
fi

# output Velocity log file for InitLoader import
if [ ! -e ${CATALINA_HOME}/bin/logs ]; then
install -o tomcat -g tomcat -m 755 -d ${CATALINA_HOME}/bin/logs
fi

# output jprincipal.xml for InitLoader import
chmod 775 ${CATALINA_HOME}/bin/
chgrp tomcat ${CATALINA_HOME}/bin/

